@import url('_reset.css');
@import url('_fonts.css');

:root {
  --color-primary: hsl(205, 60%, 43%);
  --color-secondary: hsl(282, 58%, 72%);
  --color-tertiary: hsl(152, 54%, 77%);
  --color-primary-lighter: hsl(205, 60%, 63%);
  --color-secondary-lighter: hsl(282, 58%, 87%);
  --color-tertiary-lighter: hsl(152, 54%, 87%);
}

.container {
  margin: 0 0.5em;
  max-width: 1440px;
}

.logo {
  margin: 0 0 1em 1em;
  width: 250px;
  width: 175px;
}

header,
section {
  margin-bottom: 3em;
}

header {
  border-bottom: 1px solid #333;
  padding-bottom: 0.5em;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

header > * {
  display: flex;
  flex: 1;
  gap: 1em;
  align-items: center;
}

.header-logo {
  /*flex-grow: 3;*/
  line-height: 1.25em;
  justify-content: center;
  margin-left: -1.5em;
}

.header-links {
  /*flex-grow: 1;
  justify-content: flex-end;*/
  justify-content: center;
  margin-right: 1em;
  display: flex;
  flex-direction: row;
}

.header-links a {
  min-width: 32px;
}

@media (min-width: 600px){
  header {
    flex-direction: row;
    flex-wrap: nowrap;
  }
  .header-logo {
    flex-grow: 3;
    justify-content: flex-start;
    margin: 0;
  }

  .header-links {
    flex-grow: 1;
    justify-content: flex-end;
  }
}


.offerings {
  margin-top: 3em;
}

.newsletter-form {
  display: flex;
  justify-content: center;
  margin-bottom: 3em;
}

.offerings article,
.usp article {
  padding: 0.5rem 1rem 1rem;
  margin-bottom: 1em;
  border-radius: 0.5em;
}
.usp .hex span {
  color:#333;
}
.usp article {
  background: #eee;
  color: #111;
}
.usp article:nth-child(1) .hex {
  background: var(--color-primary)
}
.usp article:nth-child(2) .hex {
  background: var(--color-secondary)
}
.usp article:nth-child(3) .hex {
  background: var(--color-tertiary)
}
.offerings article:nth-child(1) {
  background: var(--color-primary-lighter)
}
.offerings article:nth-child(2) {
  background: var(--color-secondary-lighter)
}
.offerings article:nth-child(3) {
  background: var(--color-tertiary-lighter)
}
.offerings p {
  text-align: center;
}

.hex {
  /*position: relative;*/
  display: flex;
  align-items: center;
  margin: 1em auto;
  width: 10em;
  height: 17.32em;
  width: 8em;
  height: 13.856em;
  width: 6em;
  height: 10.392em;
  border-radius: 1em/.5em;
  border-radius: 0.75em/.333em;
  background: #333;
  transition: opacity .5s;
}

.hex:before,
.hex:after {
  position: absolute;
  width: inherit;
  height: inherit;
  border-radius: inherit;
  background: inherit;
  background: inherit;
  content: '';
}

.hex:before {
  -webkit-transform: rotate(60deg);
  transform: rotate(60deg);
}

.hex:after {
  -webkit-transform: rotate(-60deg);
  transform: rotate(-60deg);
}

.hex span {
  color: white;
  /*position: absolute;*/
  /*top: calc(50% - 0.75em);*/
  z-index: 999;
  font-weight: 600;
  font-size: 1.5em;
  font-size: 1.1em;
  text-align: center;
  width: 140%;
  margin-left: -20%;
  margin-right: -20%;
}

.intro {    /*
  font-family: "Maitree", serif;
  font-weight: 500;
  font-style: normal;
  font-style: italic;*/
  padding: 0;
  margin: 0 auto 1em;
  max-width: 55ch;
  font-size: 1.25em;
}

.heading {
  margin: 0.5em 0 1em;
  text-align: center;
}

.certified {
  border-top: 1px solid #333;
  padding: 2em 0 0;
}

.certified article {
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  gap: 2em;
}

.certified img {
  height: auto;
  max-width: 100%;
  max-height: 125px;
  width: 75px;
  object-fit: contain;
}
@media (min-width: 500px) and (max-width: 767px){
    
  .offerings article,
  .usp article {
    display: flex;
    align-items: center;
  }
  .hex-container {
    margin: 0 4em 0 3em;
  }

  .offerings article p,
  .usp article p { 
    text-align: left;
  }

  .certified img {
    width: 125px;
  }
}

@media (min-width: 768px){
  .offerings,
  .usp {
    display: flex;
    flex-grow: 1;
    gap: 1em;
  }
  .offerings article,
  .usp article {
    flex: 1;
  }

  .certified img {
    width: 150px;
  }
}

@media (min-width: 1440px){

  .container {
    margin: 0 auto;
  }
}

footer {
  border-top: 1px solid #333;
  bottom: 0;
  font-size: 0.8rem;
  display: flex;
  flex-wrap: wrap;
  margin-top: 2rem;
  padding: 1rem 0;
  width: 100%;
}

footer div {
  display: flex;
  flex: 1;
  gap: 1em;
  align-items: center;
}

.footer-copy {
  flex: 1 1 75%;
  flex-grow: 3;
  line-height: 1.25em;
}
.footer-copy p { margin: 0; }

.footer-links {
  flex: 1 1 25%;
  flex-grow: 1;
  justify-content: flex-end;
}
.footer-blurb {
  opacity: 0.5;
  font-size: 0.6rem;
  text-align: justify;
}